Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.servlets.jsp.taglib
Class PrintDocTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.content.servlets.jsp.taglib.BaseTag
                  |
                  +--com.bea.p13n.content.servlets.jsp.taglib.PrintDocTag

All Implemented Interfaces:
  IterationTag, Serializable, Tag

public class PrintDocTag
extends BaseTag

Tag extension to inline the bytes of a Document into the page context's output.

See Also:
  Serialized Form

Field Summary
`protected String` | `baseHref` Deprecated. The BASE HREF to use.
`protected int` | `blockSize` Deprecated. The block size to read the data in.
`protected Document` | `doc` Deprecated. The document object to use.
`protected String` | `encodeType` Deprecated. The encode type.
`protected int` | `endIndex` Deprecated. The index at which we should stop reading.
`protected int` | `startIndex` Deprecated. The index at which we should start reading.

Fields inherited from class com.bea.p13n.content.servlets.jsp.taglib.BaseTag
`cacheId, cacheScope, cacheTimeout, failOnError, readOnly, useCache`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`PrintDocTag()` Deprecated.

Method Summary
`int` | `doStartTag()` Deprecated. Called when the tag starts.
`String` | `encode(String in)` Deprecated. Encode a string with the current encode type.
`String` | `getBaseHref()` Deprecated. Get the value of `baseHref`.
`String` | `getBlockSize()` Deprecated. Get the value of `blockSize` as a String.
`String` | `getEncode()` Deprecated. Get the value of `encodeType`.
`String` | `getEnd()` Deprecated. Get the value of `endIndex` as a String.
`URL` | `getRequestBaseHref(HttpServletRequest request)` Deprecated.
`URL` | `getServerBaseHref(HttpServletRequest request)` Deprecated.
`String` | `getStart()` Deprecated. Get the value of `startIndex` as a String.
`void` | `print(String s)` Deprecated.
`void` | `println(String s)` Deprecated.
`void` | `release()` Deprecated. Reset the tag to a default state.
`void` | `setBaseHref(String v)` Deprecated. Set the value of `baseHref`.
`void` | `setBlockSize(String v)` Deprecated. Set the value of `blockSize`.
`void` | `setDoc(Content doc)` Deprecated. Set the document object to use.
`void` | `setDocument(Content doc)` Deprecated. Set the document object to use.
`void` | `setEncode(String v)` Deprecated. Set the value of `encodeType`.
`void` | `setEnd(int endIndex)` Deprecated. Set the value of `endIndex`.
`void` | `setEnd(String v)` Deprecated. Set the value of `endIndex`.
`void` | `setStart(int startIndex)` Deprecated. Set the value of `startIndex`.
`void` | `setStart(String v)` Deprecated. Set the value of `startIndex`.

Methods inherited from class com.bea.p13n.content.servlets.jsp.taglib.BaseTag
`getCacheId, getCacheScope, getCacheTimeout, getFailOnError, getHttpSession, getReadOnly, getUseCache, getUserId, setCacheId, setCacheScope, setCacheTimeout, setCacheTimeout, setFailOnError, setFailOnError, setReadOnly, setReadOnly, setUseCache, setUseCache, toDictionary`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### doc

    protected Document doc

  Deprecated.
  The document object to use.

### blockSize

    protected int blockSize

  Deprecated.
  The block size to read the data in.

### startIndex

    protected int startIndex

  Deprecated.
  The index at which we should start reading.

### endIndex

    protected int endIndex

  Deprecated.
  The index at which we should stop reading.

### encodeType

    protected String encodeType

  Deprecated.
  The encode type.

  This can be "html" for html-encoding, "url" for url-encoding, or anything else for no encoding.

### baseHref

    protected String baseHref

  Deprecated.
  The BASE HREF to use.

  The content's identifier will be appended automatically to this.

Constructor Detail

### PrintDocTag

    public PrintDocTag()

  Deprecated.

Method Detail

### doStartTag

    public int doStartTag()
                   throws JspException

  Deprecated.
  Called when the tag starts.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `TagSupport`
    `JspException`

### release

    public void release()

  Deprecated.
  Reset the tag to a default state.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `BaseTag`

### setDocument

    public void setDocument(Content doc)

  Deprecated.
  Set the document object to use.

### setDoc

    public void setDoc(Content doc)

  Deprecated.
  Set the document object to use.

### getBlockSize

    public String getBlockSize()

  Deprecated.
  Get the value of `blockSize` as a String.

### setBlockSize

    public void setBlockSize(String v)

  Deprecated.
  Set the value of `blockSize`.

### getStart

    public String getStart()

  Deprecated.
  Get the value of `startIndex` as a String.

### setStart

    public void setStart(String v)

  Deprecated.
  Set the value of `startIndex`.

### setStart

    public void setStart(int startIndex)

  Deprecated.
  Set the value of `startIndex`.

### getEnd

    public String getEnd()

  Deprecated.
  Get the value of `endIndex` as a String.

### setEnd

    public void setEnd(String v)

  Deprecated.
  Set the value of `endIndex`.

### setEnd

    public void setEnd(int endIndex)

  Deprecated.
  Set the value of `endIndex`.

### getEncode

    public String getEncode()

  Deprecated.
  Get the value of `encodeType`.

### setEncode

    public void setEncode(String v)

  Deprecated.
  Set the value of `encodeType`.

### getBaseHref

    public String getBaseHref()

  Deprecated.
  Get the value of `baseHref`.

### setBaseHref

    public void setBaseHref(String v)

  Deprecated.
  Set the value of `baseHref`.

### encode

    public String encode(String in)

  Deprecated.
  Encode a string with the current encode type.

  See Also:
    `GetPropertyTag.encode(java.lang.String, java.lang.String)`

### print

    public void print(String s)

  Deprecated.

### println

    public void println(String s)

  Deprecated.

### getServerBaseHref

    public URL getServerBaseHref(HttpServletRequest request)
                          throws MalformedURLException

  Deprecated.
    `MalformedURLException`

### getRequestBaseHref

    public URL getRequestBaseHref(HttpServletRequest request)
                           throws MalformedURLException

  Deprecated.
    `MalformedURLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved